package com.zsc.edu.dify.modules.dify.repo;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zsc.edu.dify.modules.dify.entity.AppEntity;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface AppEntityRepository extends BaseMapper<AppEntity> {

    @Select("select api_key from apps_entity where id = #{appId}")
    String selectApiKey(String appId);

    List<AppEntity> selectByAppType(@Param("deptId") Long deptId, @Param("appType") Integer appType);
}
