package com.zsc.edu.dify.modules.dify.entity;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zsc.edu.dify.framework.json.JsonbTypeHandler;
import io.github.guoshiqiufeng.dify.workflow.dto.response.WorkflowRunResponse;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
@TableName("workflow_data")
public class WorkflowData{
    @TableId
    private Long id;

    private String workflowRunId;

    private String taskId;

    @TableField(value = "user_id", fill = FieldFill.INSERT)
    private Long userId;

    private String appId;

    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    @TableField(value = "dept_id", fill = FieldFill.INSERT)
    private Long deptId;

    @TableField(typeHandler = JsonbTypeHandler.class)
    private WorkflowRunResponse.WorkflowRunData data;

//    @TableField(typeHandler = JsonbTypeHandler.class)
//    private String runData;
}
